$(function(){
    // $('.header-navigation ul').clone().appendTo('.nav-model'); 
    // Header Fixed

    if ($('.banner').length == 0) {
        $('body').addClass('no-banner');
    }

    
    $(window).scroll(function(){
        if($(this).scrollTop()>($(window).height()) / 100) {$('header').addClass("header-fixed")}
        else{$('header').removeClass("header-fixed")}
    })
    // Back to top
    $('footer').after('<div id="back-to-top"><svg aria-hidden="true" focusable="false" data-prefix="far" data-icon="arrow-up" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="svg-inline--fa fa-arrow-up fa-w-14"><path fill="currentColor" d="M6.101 261.899L25.9 281.698c4.686 4.686 12.284 4.686 16.971 0L198 126.568V468c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12V126.568l155.13 155.13c4.686 4.686 12.284 4.686 16.971 0l19.799-19.799c4.686-4.686 4.686-12.284 0-16.971L232.485 35.515c-4.686-4.686-12.284-4.686-16.971 0L6.101 244.929c-4.687 4.686-4.687 12.284 0 16.97z" class=""></path></svg></div>');
    $(window).scroll(function () {
        var currentScroll = $(window).scrollTop();
        if (currentScroll > 200) {
            $('#back-to-top').addClass('show')
        } 
        else {
            $('#back-to-top').removeClass('show')
        }
    });
    $('#back-to-top').on('click', function(){
        $('body,html').animate({
            scrollTop: 0,
            }, 700
        );
    });

    // Open Model
    $('.model-open').on('click', function(e){
        e.preventDefault();
        var model = $(this).attr('data-model');
        $(model).addClass('is-open');
    });
    // Close Model
    $('.close_model').on('click', function(){
        $(this).parents('.model').removeClass('is-open');
        $('.video_full iframe').attr('src', '');
    });

    
    $('.overlay').on('click', function(){
        $(this).parent('.model').removeClass('is-open');
    });

    $('.model-video').on('click', function(){
        var src = $(this).attr('data-video');
        $('.video_full iframe').attr('src', src);
    });

    // google_review
    $(".google-review").click(function () {
        $(".Modelreview").addClass('is-open');        
        $("body").css("overflow-y", "hidden");
    });
    $(".close_model").click(function () {
        $(".Modelreview").removeClass('is-open');
        $("body").css("overflow-y", "scroll");
    });

    $(".menu_li").click(function () {
        $(".side-sub-menu").slideToggle();
    });


    // form
    $('.form-control').each(function(){
        if($(this).val() != ''){
            $(this).parent('.form-group').addClass('valid');
        }
        else{
            $(this).parent('.form-group').removeClass('valid');
        }
    })
    $('.form-control').on('change',function(){
        if($(this).val() != ''){
            $(this).parent('.form-group').addClass('valid');
        }
        else{
            $(this).parent('.form-group').removeClass('valid');
        }
    })
    
    $(".read_more_para").click(function () {
        $(".content_more").slideToggle('height_auto'); 
    });
    // ________________________________________________________________________________
                            // Home Js
    // ________________________________________________________________________________
 
    $('.tab_btn .btn').click(function(){
        $(this).addClass('active').siblings().removeClass('active');
      var btn_content = $(this).attr('data-tab');
      $('.tab_content .content').each(function(){
        if($(this).attr('data-tab') == btn_content){
          $(this).show();
        }
        else {
          $(this).hide();
        }
      });
    });



    

})